%define	name	radstock
%define	version	0.66
%define	release	3mdk

Summary:	Radstock Radius Analyser
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.net/projects/radstock/
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-misc_fixes.patch.bz2
# P0 originates from http://www.cse.fau.edu/~valankar/radstock_password_patch/radstock-0.66.password.patch-1.2.tar.gz
Patch1:		%{name}-%{version}-password.patch.bz2
Group:		System/Servers
Requires:	libpcap
Requires:	libavlmap0
BuildRequires:	libpcap-devel
BuildRequires:	libavlmap-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Radstock is a tool to analyse RADIUS traffic on high volume radius
servers. It has the ability to fully decode each packet, and also
has extensive filters capabilities to allow you to selectively
match radius packets.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/raddb/dictionary-%{name}
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-3mdk
- rebuild

* Sun Jun 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-2mdk
- added P1

* Sat Jun 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-1mdk
- initial cooker contrib
- added P0
